Bug 459591 - rpc.statd options not correctly parsed
rpc.statd options not correctly parsed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.2
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 09:04 EDT by Gianluca Cecchi
Modified: 2009-09-02 06:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Cecchi 2008-08-20 09:04:42 EDT
Description of problem:
misconfiguration about rpc.statd options between /etc/sysconfig/nfs and /etc/rc.d/init.d/nfslock

Version-Release number of selected component (if applicable):
nfs-utils-1.0.9-35z.el5_2

How reproducible:
always

Steps to Reproduce:
1. configure /etc/sysconfig/nfs with
STATDARG="-n nfsserv1"

2. start nfslock service

3. ps -ef | grep rpc.statd | grep -v grep
  
Actual results:
rpcuser   2063     1  0 08:57 ?        00:00:00 rpc.statd

Expected results:
rpcuser   2063     1  0 08:57 ?        00:00:00 rpc.statd -n nfsserv1

Additional info:

Currently if you want to pass arguments to rpc.statd, you have inside
/etc/sysconfig/nfs
# Optional arguments passed to rpc.statd. See rpc.statd(8)
STATDARG=""

and infact I set up it like this:
STATDARG="-n nfsserv1"

But inside /etc/rc.d/init.d/nfslock start section you have instead:

        if [ -n "${STATD_HOSTNAME}" ]; then
        STATDARG="-n ${STATD_HOSTNAME}"
        else
        STATDARG=""
        fi

so that if you set STATDARG in etc/sysconfig/nfs, it is cleared by nfslock init script.
So at the moment the solution is to not use STATDARG inside /etc/sysconfig/nfs and instead add the line 

STATD_HOSTNAME=nfsserv1

But if you want to add more options to rpc.statd you have problems.
Probably the correct way is to delete completely the section about STATD_HOSTNAME in /etc/rc.d/init.d/nfslock and incorporate it directly in STATDARG globally in /etc/sysconfig/nfs (as outlined in the comment of the file itself, see above).

Note that the problem is still present in latest F9 x86_64 too:
nfs-utils-1.1.2-6.fc9.x86_64
Comment 2 Steve Dickson 2009-04-27 15:42:33 EDT
Fixed in nfs-utils-1.0.9-42.el5
Comment 6 errata-xmlrpc 2009-09-02 06:03:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1321.html

Note You need to log in before you can comment on or make changes to this bug.